Subject: problem with make
From: [email-masked] (Stuart)

7 Aug 1998 00:33:13 -0700
Message-ID: <[email-masked]>
To: [email-masked]

Hi all, I'm a newbie on this list, and to Windoze in general.  Porting
some make stuff over from Unix, I've stumbled across a makefile syntax
problem.  To declare a generic rule, I'd do

%.class : %.java

now, the class file may be in a diff directory.  I am used to

DEPDIR = /home/stu/files/stuff

$(DEPDIR)/%.class : %.java
	build class file from java src

of course on bloody NT, DEPDIR may contain a colon, e.g

DEPDIR = e:\files\stuff

this blows up make since the substituted line reads

e:\files\stuff\%.class : %.java

which has a colon where one is not expected.  I could remove the
depdir from the target name and do a manual move of the class file
after compiling it but I feel that's messy.

I have tried all sorts to escape the colon but nothing works.  The
make error is "missing separator"

Any help gratefully appreciated...

-- 
Stuart Maclean, Research Associate
University of Washington
ITS Research Program, College of Engineering
Box 352500
Seattle, WA 98195-2500
Tel: (206) 543-0637
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".